View Issue Details

IDProjectCategoryView StatusLast Update
0001534SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.13 
Target Version3.5.14Fixed in Version3.5.14 
Summary0001534: API - createTriggersOnChannelForTables() fails when it encounters a table name that is longer than 50 characters
DescriptionAPI - createTriggersOnChannelForTables() fails when it encounters a table name that is longer than 50 characters
TagsNo tags attached.

Activities

chenson

2014-01-17 09:00

administrator   ~0000424

Use a trigger id of the first 13 characters + '_' + UUID.

Related Changesets

SymmetricDS: master d07c20ee

2014-01-17 08:59:31

chenson

Details Diff
0001534: API - createTriggersOnChannelForTables() fails when it encounters a table name that is longer than 50 characters
0001534
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-server/src/main/deploy/change-log-3.0.txt Diff File

Issue History

Date Modified Username Field Change
2014-01-17 08:58 chenson New Issue
2014-01-17 08:58 chenson Status new => assigned
2014-01-17 08:58 chenson Assigned To => chenson
2014-01-17 08:58 chenson Status assigned => closed
2014-01-17 08:58 chenson Resolution open => fixed
2014-01-17 08:58 chenson Fixed in Version => 3.5.14
2014-01-17 09:00 chenson Note Added: 0000424
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7873
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d07c20ee